%global debug_package %{nil}

Name:         uboot-rpi
License:      GPLv2
Version:      2020.01
Release:      1.0.6%{?dist}
Summary:      u-boot for Raspberry Pi 3 & 4
Group:        System Environment/Kernel
Source0:      u-boot-%{version}.tar.bz2
## See SOURCE file for uboot repo and version

#Patch from Oracle
Patch1:    0001-Add-set-default-bootcmd.patch
Patch2:    0002-uboot-rpi-Load-board-specific-dtb-fdtfile-to-address.patch
Patch3:    0004-configs-rpi-Add-usb-configs.patch
Patch4:    0005-Try-network-boot-as-a-last-attempt.patch
Patch5:    0001-Raspberry-Pi-UEFI-Runtime-regions-are-not-aligned-to.patch
Patch6:    0006-RPI-Fix-fdt-load-address-for-rpi.patch


BuildRequires: dtc
BuildRequires: bison
BuildRequires: flex

%if 0%{?rhel} < 8
BuildRequires: devtoolset-6-gcc
BuildRequires: bc
%define with_devtoolset 1
%endif

%description
u-boot for Raspberry Pi 3 & 4

%prep
%setup -q -n u-boot-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build

%{?with_devtoolset: scl enable devtoolset-6 --} make O=rpi4 rpi_4_defconfig
%{?with_devtoolset: scl enable devtoolset-6 --} make O=rpi4 %{?_smp_mflags}
%{?with_devtoolset: scl enable devtoolset-6 --} make O=rpi3 rpi_3_defconfig
%{?with_devtoolset: scl enable devtoolset-6 --} make O=rpi3 %{?_smp_mflags}

%install
mkdir -p %{buildroot}/boot/efi
cp -v  rpi3/u-boot.bin %{buildroot}/boot/efi/kernel8-pi3.img
cp -v  rpi4/u-boot.bin %{buildroot}/boot/efi/kernel8-pi4.img

%files
/boot/efi/kernel8-pi3.img
/boot/efi/kernel8-pi4.img

%changelog
* Thu Apr 16 2020 David Sloboda <david.x.sloboda@oracle.com> - 2020.01-1.0.6
- Change Release: remove character "v" (request from Filip Zaludek)

* Mon Apr 06 2020 Filip Zaludek <filip.zaludek@oracle.com> - v2020.01-1.0.5
- Add devtoolset-6 dependency for OL7.x, lukas.lipinsky@oracle.com

* Fri Apr 03 2020 Vijay Kumar <vijay.ac.kumar@oracle.com> - v2020.01-1.0.4
- Add missing BuildRequires [Orabug 31121792]

* Fri Jan 31 2020 Vijay Kumar <vijay.ac.kumar@oracle.com> - v2020.01-1.0.3
- Fix fdt load address [Orabug 30838900]

* Sun Dec 15 2019 Vijay Kumar <vijay.ac.kumar@oracle.com> - v2020.01-1.0.2
- Fix for "UEFI Runtime regions are not aligned to 64 KB". [Orabug 30665128]

* Wed Nov 06 2019 Vijay Kumar <vijay.ac.kumar@oracle.com> - v2020.01-1.0.1
- Initial build
- Ported rpi3 uboot patches
